package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserDGThemeMapper;
import com.sa.ibiz.demo.demo.domain.UserDGTheme;
import com.sa.ibiz.demo.demo.service.UserDGThemeService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserDGThemeSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserDGTheme] 服务对象接口实现
 */
@Service
public class UserDGThemeServiceImpl extends ServiceImplBase<UserDGThemeMapper, UserDGTheme> implements UserDGThemeService{


    @Resource
    private UserDGThemeMapper userdgthemeMapper;


    @Override
    public boolean create(UserDGTheme et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserDGTheme et){
        this.beforeUpdate(et);
		this.userdgthemeMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserDGTheme et){
		return et.getUserdgthemeid();  
    }

    @Override
    public boolean getDraft(UserDGTheme et)  {
            return true;
    }

	public List<UserDGTheme> listDefault(UserDGThemeSearchFilter filter) {
		return userdgthemeMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserDGTheme> searchDefault(UserDGThemeSearchFilter filter) {
		return userdgthemeMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return userdgthemeMapper.selectRow(sql);
    }

 }